class ExperimentConfigurationNotFound implements Exception {
  String _message;

  ExperimentConfigurationNotFound([String message = 'Experiment configuration not found']) {
    this._message = message;
  }

  @override
  String toString() {
    return _message;
  }
}

class FeatureConfigurationNotFound implements Exception {
  String _message;

  FeatureConfigurationNotFound([String message = 'Feature configuration not found']) {
    this._message = message;
  }

  @override
  String toString() {
    return _message;
  }
}

class VariationConfigurationNotFound implements Exception {
  String _message;

  VariationConfigurationNotFound([String message = 'Variation configuration not found']) {
    this._message = message;
  }

  @override
  String toString() {
    return _message;
  }
}

class NotTargeted implements Exception {
  String _message;

  NotTargeted([String message = 'Not targeted']) {
    this._message = message;
  }

  @override
  String toString() {
    return _message;
  }
}

class NotActivated implements Exception {
  String _message;

  NotActivated([String message = 'Not activated']) {
    this._message = message;
  }

  @override
  String toString() {
    return _message;
  }
}

class SDKNotReady implements Exception {
  String _message;

  SDKNotReady([String message = 'SDK not ready']) {
    this._message = message;
  }

  @override
  String toString() {
    return _message;
  }
}